#

Function NOT

Syntax:

not x => boolean

Arguments and Values:

x---a generalized boolean (i.e., any object).

boolean---a boolean.

Description:

Returns t if x is false; otherwise, returns nil.

Examples:

     (not nil) =>  T
     (not '()) =>  T
     (not (integerp 'sss)) =>  T
     (not (integerp 1)) =>  NIL
     (not 3.7) =>  NIL
     (not 'apple) =>  NIL

Side Effects: None.

Affected By: None.

Exceptional Situations: None.

See Also:

null

Notes:

not is intended to be used to invert the `truth value' of a boolean (or generalized boolean) whereas null is intended to be used to test for the empty list. Operationally, not and null compute the same result; which to use is a matter of style.

The following X3J13 cleanup issue, not part of the specification, applies to this section:

- NOT-AND-NULL-RETURN-VALUE:X3J13-MAR-93

Copyright 1996-2005, LispWorks Ltd. All rights reserved.